Bug 974864 - Documents incorporating texlive-substances package will not compile
Documents incorporating texlive-substances package will not compile
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 13:55 EDT by zemo
Modified: 2015-02-17 10:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:36:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zemo 2013-06-16 13:55:45 EDT
Description of problem: An error in the 0.1 version of substances.sty package prevents compilation.


Version-Release number of selected component (if applicable): texlive-substances-svn27182.0.1-22.fc19.noarch
Upstream version 0.1


How reproducible: Put \usepackage{substances} in the preamble of a document and compile.


Steps to Reproduce:
1. 
2.
3.

Actual results:
! LaTeX error: "kernel/invalid-variant"
! Variant form 'NNx' invalid for base form '\exp_last_unbraced:NNo'.


Expected results: No compile errors


Additional info: The latest upstream version, 0.1a, fixes the problem.
Comment 1 zemo 2013-06-16 15:55:03 EDT
Upstream says that version 0.1 is the latest official version because the version 0.1a at bitbucket.org/cgnieder/substances is broken in other ways. He will update CTAN when a new version is available.

Please close this bug.
Comment 2 Fedora End Of Life 2015-01-09 13:27:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:36:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.